Replace All Tags on a Schema
Replaces all existing Tag Associations of a Schema with the Tag Associations you specify in the request body. Any Tags currently associated with the schema are disassociated from the schema.
Important:
-
Do not use this endpoint on schema that does not have Tag Associations.
-
Each time you submit a request to this endpoint, the backend reindexes the Tags. So, pack as many Tag Associations as you can into one request. As a result, the number of calls to this endpoint go down, which reduces the overhead on the backend.
You must have write access to a library to associate Tags with schema in that library. For more information see Control Access </en/docs/schema/v3/developers_guide/basics/access/>_ under API Basics.
-
This is a batch API. Curret limit for this API is
10 resourceIds. -
Maximum 300 tags are allowed in a single
resourceIdand maximum 3tagCollectionscan be accommodated in singleresourceId, thus allowing total 3000 tags in single request with maximum10 resourceIds
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values:
US- (Default) All requests without a specified region header will be directed to the US region.EMEA- Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header “region: EMEA” in your API requests.
Request
Response
Multiple operations have been attempted and a single response code is not able to convey the results of all operations. Check the response body for failures, if any.
Every successful association contains a system-generated id attribute for the association that was created. Failed associations contain an errors object.
If a three-legged access token was used to create the association, contains the Autodesk ID (Oxygen ID) of the person who associated the Tag to the schema. If a two-legged access token was used to create the category, contains the Client ID of the app that associated it.
If a three-legged access token was used to modify the association, contains the Autodesk ID (Oxygen ID) of the person who associated the Tag to the schema. If a two-legged access token was used to create the category, contains the Client ID of the app that associated it.